from pacmap import *
from pacman import *

class PhysicMotor:
    def __init__(self, c_pacmap: Map, c_pacman: Pacman):
        self.pacmap = c_pacmap
        self.pacman = c_pacman
        self.entities = [] # ghosts
    
    def move_all(self):
        # pacman movement
        pac_x, pac_y = self.pacman.position
        if self.pacman.direction in (direction.up, direction.down):
            if pac_y % 1 == 0.5: # change this in the future
                if self.pacmap.get_tile(pac_x, pac_y + self.pacman.direction[1]) in (PhysTile.GRD, PhysTile.TPT):
                    self.pacman.move()